Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 960047 - Review Request: rubygem-annotate - Annotates Rails Models, routes, fixtures etc based on the database schema
Summary: Review Request: rubygem-annotate - Annotates Rails Models, routes, fixtures e...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-05-06 13:38 UTC by Anuj More
Modified: 2016-10-11 10:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-11 10:58:32 UTC


Attachments (Terms of Use)

Description Anuj More 2013-05-06 13:38:22 UTC
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-annotate/rubygem-annotate.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-annotate/rubygem-annotate-2.5.0-1.fc19.src.rpm
Description: Annotates Rails/ActiveRecord Models, routes, fixtures, and others based on the database schema.
Fedora Account System Username: anujmore

Comment 1 Anuj More 2013-05-06 14:00:10 UTC
Additionally, mock builds: 

http://anujmore.fedorapeople.org/pkgs/rubygem-annotate/mock-annotate-build.log
http://anujmore.fedorapeople.org/pkgs/rubygem-annotate/mock-annotate-screen.txt

rpmlint gives this:

rubygem-annotate.noarch: W: no-documentation
rubygem-annotate.noarch: W: no-manual-page-for-binary annotate
rubygem-annotate.src:47: W: macro-in-comment %gem_dir
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

which I assume are safe to ignore.

Comment 2 Vít Ondruch 2013-05-06 15:07:36 UTC
I'll take this one for a review.

Comment 3 Vít Ondruch 2013-05-06 16:16:13 UTC
* Execute test suite
  - It seems that there is available test suite in upstream repository. Could
    you please execute it? You can find small how-to here [1]

* License
  - There is no separate LICENSE file. Could you please ask upstream to include
    one [2]?
  - Since there is no separate LICENSE file, I would suggest to move the
    README.rdoc, which contains some licensing information, into the main
    package.
  - Could you please ask upstream about clarification of their license? The
    "Released under the same license as Ruby" is a bit vague, since Ruby itself
    changed license from "Ruby or GPL+" (used until Ruby 1.9.2) to "Ruby or
    BSD" (for Ruby 1.9.3 and newer).
  - Please note that the license should contain "or" instead of "and" in any
    case.

* Raketasks are probably not needed
  - Could you please ensure, that the migrate.rake file is useful for the gem?
    I would say, that it has its purpose, when the gem would be used as Rails
    plugin, but that is not our case.




[1] https://fedoraproject.org/wiki/Packaging:Ruby#Test_suites_not_included_in_the_package
[2] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Comment 4 Vít Ondruch 2015-11-04 13:37:57 UTC
Ping? This review seems to be staled ...


Note You need to log in before you can comment on or make changes to this bug.